Package org.eclipse.birt.report.model.api.elements.structures

# Class DimensionJoinCondition

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.core.PropertyStructure
org.eclipse.birt.report.model.api.elements.structures.DimensionJoinCondition

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class DimensionJoinCondition extends org.eclipse.birt.report.model.core.PropertyStructure
Represents a dimension join condition in the DimensionCondition. It defines two keys for the cube and hierarchy join, one is from cube and another is from hierarchy.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CUBE_KEY_MEMBER`
Property name of the cube key of this join.
`static final String`
`DIMENSION_JOIN_CONDITION_STRUCT`
Name of this structure.
`static final String`
`HIERARCHY_KEY_MEMBER`
Property name of the hierarchy key of this join.
`static final String`
`LEVEL_MEMBER`
Name of the member that specifies the level name of this condition relates.

### Fields inherited from class org.eclipse.birt.report.model.core.PropertyStructure

`propValues`

## Constructor Summary

Constructors
Constructor
Description
`DimensionJoinCondition()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCubeKey()`
Gets the cube key of this join condition.
`String`
`getHierarchyKey()`
Gets the hierarchy key of this join condition.
`String`
`getStructName()`
Returns the name of the structure definition.
`protected StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.
`void`
`setCubeKey(String cubeKey)`
Sets the cube key.
`void`
`setHierarchyKey(String hierarchyKey)`
Sets the hierarchy key.

### Methods inherited from class org.eclipse.birt.report.model.core.PropertyStructure

`clone, getIntrinsicProperty, getLocalProperty, getLocalProperty, setIntrinsicProperty, setProperty`

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DIMENSION_JOIN_CONDITION_STRUCT

public static final String DIMENSION_JOIN_CONDITION_STRUCT
Name of this structure. Matches the definition in the meta-data dictionary.

See Also:
  - Constant Field Values

### CUBE_KEY_MEMBER

public static final String CUBE_KEY_MEMBER
Property name of the cube key of this join.

See Also:
  - Constant Field Values

### HIERARCHY_KEY_MEMBER

public static final String HIERARCHY_KEY_MEMBER
Property name of the hierarchy key of this join.

See Also:
  - Constant Field Values

### LEVEL_MEMBER

public static final String LEVEL_MEMBER
Name of the member that specifies the level name of this condition relates.

See Also:
  - Constant Field Values

## Constructor Details

### DimensionJoinCondition

public DimensionJoinCondition()

## Method Details

### handle

protected StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.

### setCubeKey

public void setCubeKey(String cubeKey)
Sets the cube key.

Parameters:
  `cubeKey` - the key to set

### getCubeKey

public String getCubeKey()
Gets the cube key of this join condition.

Returns:
  the cube key in this join condition

### setHierarchyKey

public void setHierarchyKey(String hierarchyKey)
Sets the hierarchy key.

Parameters:
  `hierarchyKey` - the key to set

### getHierarchyKey

public String getHierarchyKey()
Gets the hierarchy key of this join condition.

Returns:
  the hierarchy key in this join condition